#!/bin/bash

set -x

# Zeitnahme
TIME_START=$(date +%s)

# For optimum compile time this should generally be set to the number of CPU cores your machine has
JOBCOUNT=4

echo " "
rm -rf $HOME/local/avrLinux/*
rm -rf $HOME/toolchain/buildLinux/binutils/*
rm -rf $HOME/toolchain/buildLinux/gcc/*
rm -rf $HOME/toolchain/buildLinux/avr-libc/*

PREFIX=$HOME/local/avrLinux/
# export PREFIX
PATH=$PATH:$PREFIX/bin/
# export PATH

echo " " 
cd $HOME/toolchain/buildLinux/binutils
../../downloads/binutils/configure --prefix=$PREFIX --target=avr --disable-nls --disable-werror
make -j $JOBCOUNT
make install

echo " " 
cd $HOME/toolchain/downloads/gcc
./contrib/download_prerequisites
cd $HOME/toolchain/buildLinux/gcc
../../downloads/gcc/configure --prefix=$PREFIX --target=avr --enable-languages=c,c++,lto --disable-nls --disable-libssp --with-dwarf2 --build=x86_64-linux-gnu --host=x86_64-linux-gnu --disable-shared --enable-checking=release
make -j $JOBCOUNT
make install

echo " " 
cd $HOME/toolchain/downloads/avr-libc
./bootstrap
cd $HOME/toolchain/buildLinux/avr-libc
../../downloads/avr-libc/configure --prefix=$PREFIX --host=avr --build=`./config.guess`
make -j $JOBCOUNT
make install

avr-gcc --version
i686-w64-mingw32-gcc --version

# Zeitnahme
TIME_END=$(date +%s)
TIME_RUN=$(($TIME_END - $TIME_START))
echo ""
echo "Done in $TIME_RUN seconds"
