#!/bin/bash

set -x

# Zeitnahme
TIME_START=$(date +%s)

# For optimum compile time this should generally be set to the number of CPU cores your machine has
JOBCOUNT=4

echo " "
rm -rf $HOME/local/avrWindows32/*
rm -rf $HOME/toolchain/buildWindows/binutils/*


PREFIX=$HOME/local/avrWindows32/
# export PREFIX
PATH=$PATH:$PREFIX/bin/
# export PATH

# Binutils
cd $HOME/toolchain/buildWindows/binutils
../../downloads/binutils/configure --prefix=$PREFIX --target=avr --build=i686-linux-gnu --host=i686-w64-mingw32 --disable-nls --disable-werror
make -j $JOBCOUNT
make install

# Zeitnahme
TIME_END=$(date +%s)
TIME_RUN=$(($TIME_END - $TIME_START))
echo ""
echo "Done in $TIME_RUN seconds"
