#!/bin/bash

set -x

# Zeitnahme
TIME_START=$(date +%s)

# For optimum compile time this should generally be set to the number of CPU cores your machine has
JOBCOUNT=4

rm -rf $HOME/toolchain/buildWindows/gcc/*

MINGW32=$HOME/local/avrWindows32/
PREFIX=$HOME/local/avrLinux/
PATH=$PATH:$PREFIX/bin/

# GCC
cd $HOME/toolchain/buildWindows/gcc
../../downloads/gcc/configure --prefix=$MINGW32 --target=avr --disable-nls --host=i686-w64-mingw32 --build=i686-linux-gnu --enable-languages=c,c++,lto --with-gnu-as --with-gnu-ld --disable-shared --with-dwarf2
make -j $JOBCOUNT
make install

# Zeitnahme
TIME_END=$(date +%s)
TIME_RUN=$(($TIME_END - $TIME_START))
echo ""
echo "Done in $TIME_RUN seconds"
